package com.gh.gamecenter.xapk.core

import com.gh.gamecenter.xapk.io.XApkFileOutput
import com.gh.gamecenter.xapk.pi.IPackageInstaller

interface XApkUnZipOutputFactory {

    fun onCreateOBBOutput(apk: XApkFile): XApkFileOutput<Unit>

    fun onCreateApkOutput(apk: XApkFile): XApkFileOutput<IPackageInstaller>
}